/*
 * sys.h
 *
 * (C) Copyright 2001 to 2001 Elegent Technologies Inc.
 *
 * Jun 20, 2001	Lucas Lin	File created.
 *
 * System type definitions.
 */

#ifndef _SYS_H_
#define _SYS_H_

#define	DEBUG_ENABLE	1	/* 1= Enable Global Debugging	*/

/************************************************************************
 * Basic type defines
 ************************************************************************/
typedef	unsigned char	tU1;
typedef unsigned short	tU2;
typedef	unsigned int	tU4;
typedef unsigned int	tUi;

/************************************************************************
 * Adaptation to Fujitsu codes
 ************************************************************************/
#define	UBYTE		tU1
#define	ULONG		tU4
#define BYTE		tU1
#define WORD		tU2
#define DWORD		tU4
#define FALSE		0
#define TRUE		1

/************************************************************************
 * Include all needed header files
 *
 * Define debugging macros
 * Debugging can be switched on either by defining the
 * local macro ARCIO_PROTO_DEBUG or by the global
 * macro DEBUG_ENABLE
 *
 ************************************************************************/

#if (DEBUG_ENABLE && DEBUG_MODULE)
#define	PRINT(x)	do { printf("%s: ",__FUNCTION__); printf x ; } while (0)
#else
#define PRINT(x)
#endif
#endif /* #ifndef _SYS_H_ */
